#ifndef _DOMAIN_H_
#define _DOMAIN_H_

#include "wltypes.h"
#include "osif.h"

#define DOMAIN_CODE_FCC     0x10
#define DOMAIN_CODE_IC      0x20
#define DOMAIN_CODE_ETSI    0x30
#define DOMAIN_CODE_SPAIN   0x31
#define DOMAIN_CODE_FRANCE  0x32
#define DOMAIN_CODE_MKK     0x40
#define DOAMIN_CODE_ISRAEL  0x70 /* can not find Israel's domain code, temperily set to 0x70*/

WL_STATUS domainGetInfo(UINT8 *minChannel, UINT8 *maxChannel, UINT8 *defaultChannel);

#endif /*_DOMAIN_H_*/
