# env.mk
# eCos makefile
# set Environment Variable

# source root directory,assume the file lie in: AP31_SDK_2.13S\prod\ap\ap31\build
ROOT_DIR = /cygdrive/e/release/netgear/wgr101/package

GCC_DIR = /cygdrive/c/cygwin/tools/H-i686-pc-cygwin/bin

NO_ECOS_STACK = 1
PKG_INSTALL_DIR = $(ROOT_DIR)/OS/ecos131/install/apnet_install
PKG_INSTALL_DIR_NO_STACK = $(ROOT_DIR)/OS/ecos131/install/notcp_install

# Where root of product tree is
PROD_DIR = $(ROOT_DIR)/prod

# Where root of wlandrv tree is
WLANDRV_DIR = $(ROOT_DIR)/wlandrv

# Where product build directory is
PROD_BUILD_DIR = $(PROD_DIR)/ap/ap31/build

# Where wlandrv build directory is
WLANDRV_BUILD_DIR = $(WLANDRV_DIR)/build/ecos/w8310

# Where hdr.mak and ftr.mak are
HDR_MAK = $(PROD_BUILD_DIR)/hdr.mak
FTR_MAK = $(PROD_BUILD_DIR)/ftr.mak

AP31_SC = 1
PROD_NAME = .AP31_SC

#the following is planted from env.sh
PS1 = "\w"$PROD_NAME"$"
VERSION_STRING = AP31_SDK_2.18S

export HDR_MAK FTR_MAK ROOT_DIR GCC_DIR NO_ECOS_STACK PKG_INSTALL_DIR PKG_INSTALL_DIR_NO_STACK PROD_DIR WLANDRV_DIR PROD_BUILD_DIR
export WLANDRV_BUILD_DIR VERSION VERSION_STRING AP31_SC