#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include "basic_types.h"
#include "nv.h"

#ifndef BYTE
typedef unsigned char BYTE;
#endif

short Get_Version(BYTE *buf);

typedef struct  VCI  {
    unsigned short    VerControl;
    unsigned short    DownControl;
    BYTE    Hid[32];
    unsigned short    Hver;
    unsigned short    ProdID;
    unsigned short    ProdIDmask;
    unsigned short    ProtID;
    unsigned short    ProtIDmask;
    unsigned short    FuncID;
    unsigned short    FuncIDmask;
    unsigned short    Fver;
    unsigned short    Cseg;
    unsigned short    Csize;
} __attribute__((packed))  VCI_TABLE;

#define  VCI_LEN         56


short Get_Version(BYTE *buf)
{
   VCI_TABLE Pid;
   BYTE * psPID;
   unsigned short * dwTemp;

   psPID = (BYTE *)(PID_OFFSET+NV_ADDRESS+7);
   memcpy ((BYTE *)&Pid,(BYTE *)psPID,sizeof(VCI_TABLE));
   dwTemp = (unsigned short *)(PRODUCT_ID_OFFSET+NV_ADDRESS);
   Pid.ProdID = *dwTemp;
   dwTemp = (unsigned short *)(PROTOCOL_ID_OFFSET+NV_ADDRESS);
   Pid.ProtID = *dwTemp;
   dwTemp = (unsigned short *)(FW_VERSION_OFFSET+NV_ADDRESS);
   Pid.Fver = *dwTemp;
   memcpy(buf,(BYTE *)&Pid.VerControl,VCI_LEN);

   return VCI_LEN;
 
}


int Download (void)
{
   return 0;
}
