#ifndef _IOBSS_H_
#define _IOBSS_H_

#define HEAD 0
#define ADDRORDER 1
#define TAIL 2
typedef struct {
                   void * psNextIOB;
                   unsigned short dwLength;
                   unsigned short dwOffset;
                   unsigned char dbData[1700];
               }IOB;

#define dwIOBDataLength(psData) (((psData))->dwLength)
#define pbIOBData(psData) &(((psData))->dbData[((psData))->dwOffset])
#define dwIOBDataOffset(psData) (((psData))->dwOffset)

typedef struct CBtype {
   void * psNextCB;             /* pointer to next CB */
} CB;

typedef struct CBQtype {
   void * psQHead;              /* pointer to Queue Head */
   void * psQTail;              /* pointer to Queue Tail */
   unsigned int dwQCount;               /* Queue's element count */
} CBQ;

typedef IOB iobs;


#endif
