#ifndef _NV_H_
#define _NV_H_

//#define VPchar  *(volatile BYTE *)

//#define NV_ADDRESS 0x00020000
//#define FLASH_ADRS 0x20000000

//#define PID_OFFSET	(0x10000 - 0x46)
//#define PRODUCT_ID_OFFSET     0x0FFFF0
//#define PROTOCOL_ID_OFFSET   (0x0FFFF0 + 0x02)
//#define FW_VERSION_OFFSET    (0x0FFFF0 + 0x04)

#define	FLASH1M


#ifdef FLASH1M

#define NV_ADDRESS	0xFFF00000

#define NV_CONFIG_OFFSET	0x0E0000
#define NV_CONFIG_OFFSET1	0x0D0000
#define NODE_ADDRESS_OFFSET		0x0FFFB0
#define WIRELESS_DOMAIN			0x0FFF60
#define CALIBRATION_ADDRESS	0xFFFFFF70 //70:the start address(testing result) 71:checksum 72:ch1 73:ch2 ..7f:ch14

#define PID_OFFSET           (0x100000 - 0x46)

#define PRODUCT_ID_OFFSET     0x0CFFF0
#define PROTOCOL_ID_OFFSET   (0x0CFFF0 + 0x02)
#define FW_VERSION_OFFSET    (0x0CFFF0 + 0x04)

#else

#define NV_ADDRESS	0xFFE00000

#define NV_CONFIG_OFFSET	0x01E0000
#define NODE_ADDRESS_OFFSET		0x01FFFB0
#define WIRELESS_DOMAIN			0x01FFFA0
#define CALIBRATION_ADDRESS	0xFFFFFF71 //70:the start address(testing result) 71:checksum 72:ch1 73:ch2 ..7f:ch14

#define PID_OFFSET           (0x200000 - 0x46)

#define PRODUCT_ID_OFFSET     0x1DFFF0
#define PROTOCOL_ID_OFFSET   (0x1DFFF0 + 0x02)
#define FW_VERSION_OFFSET    (0x1DFFF0 + 0x04)

#endif

#endif