
#include <stdio.h>
#include "basic_types.h"
#include "IEEE_types.h"
#include "oem.h"
#include "api.h"
#include "timer.h"

typedef unsigned char BYTE;
typedef unsigned long ULONG;

//#define WIRELESS_LED_FLASH	1

/***********************************/
/* timer interrupt service routine */
/***********************************/
int Led_Ioctl(unsigned char flag,unsigned char value);

unsigned char   led[TOTAL_LED];
unsigned char   cyc[TOTAL_LED];
unsigned short  ctrled;
unsigned short  ctrlfsh;
unsigned short  ledmask;
unsigned long   timeofday;

void timerCb(void);
//wuming for led
extern unsigned char ether_port_down;
unsigned char ether_port_down_tmp=1;

BYTE  timer_count,timer_count1;
void tm0isr(void);

void Timer_Initialize (void )
{
   int i;
   timer_count = 0;
   timer_count1 = 0;

   timeofday = 0;
   for (i=0;i<TOTAL_LED ;i++ ) {
      led[i] = 0;
      cyc[i] = 0;
   } /* endfor */
}
//;------------------------------------------------------------------------------
//; Read timer
//;------------------------------------------------------------------------------
long Timer_Get(void)
{
    return timeofday;
}

static BYTE wlessLed=1;
static BYTE fshwless=0;

//wuming for led
BYTE etherLed=0;
static BYTE fshether=0;


static BYTE Powerfsh=0;
static BYTE Postfsh=0;
static BYTE powerLed=1;
static BYTE postLed=0;
static BYTE EnPowerled=0;


//extern void wdWatchDog(void);
void timerCb(void)
{
	int i,j;
	
	timeofday++;
    wdWatchDog();	
    
    //wuming for led
    if( ether_port_down != ether_port_down_tmp)
    {
    	ether_port_down_tmp=ether_port_down;
    	if( ether_port_down_tmp == 0)
    	{
    		
    		apctlGPIOWrite(7, 1);
    		etherLed=1;
    		
    	}
    	else	
    	{
    		apctlGPIOWrite(7, 0);
    		etherLed=0;
    		
    	}
    }
 		
    
    	
	for(i=0;i<TOTAL_LED;i++)
		cyc[i]--;
		
#if 1
	if(cyc[0] == 0 && EnPowerled ==1) 
	{
		
	//wuming for led
		apctlGPIOWrite(4, 0);
		Powerfsh = 1;
	}
	else
	{
		if(Powerfsh==1)
		{
                 //wuming for led
		 apctlGPIOWrite(4, 1);	
		 powerLed = 1;
		 Powerfsh = 0;
		 EnPowerled=0;
		 
		}
	}	
#endif
//wireless LED	
	if(cyc[2] == 0)
	{
                //wuming for led
		apctlGPIOWrite(6, 0);
		fshwless = 1;
	}
	else
	{
		if(fshwless==1)
		{
                 //wuming for led
		 apctlGPIOWrite(6, 1);	
		 wlessLed = 1;
		 fshwless = 0;
		}
	}
        //wuming for led
        if( ether_port_down_tmp == 0)
        {
	if(cyc[3] == 0)
	{
		apctlGPIOWrite(7, 0);
		fshether = 1;
	}
	else
	{
		if(fshether==1)
		{
		 apctlGPIOWrite(7, 1);	
		 etherLed = 1;
		 fshether = 0;
		}
	}
	}
}




int Led_Ioctl(unsigned char flag,unsigned char value)//POWERLED:0,POSTLED:1
{
	int i;
	
	led[flag] = (value & 0x80);//1:always fsh,0: one time

	cyc[flag] =( value & 0x7F);
	
	if(led[0]==1)
		Powerfsh=cyc[0];
	else if(led[1]==1)
		Postfsh = cyc[1];
	
	return 0;
}


int watchdog(void)
{
    return 0;
}

void Led_Post(BYTE dbValue)
{
   //if(dbValue == 1)
   //{
   	//apctlGPIOWrite(12, 1);
   //	}
   //else if(dbValue == 0)
   //{
   	//apctlGPIOWrite(12, 0);
   //	}

}
void Fsh_Post(BYTE ctrl)
{
   //Led_Ioctl(POSTLED,ctrl);
   //EnPostled =1;
   //postLed = ctrl & 0x0F;
   //cyc[0]= postLed;
}

void Led_Power(BYTE dbValue)
{
  if(dbValue == 1)
   	apctlGPIOWrite(4, 0);
   else if(dbValue == 0)
   	apctlGPIOWrite(4, 1);
}

void Fsh_Power(BYTE ctrl)
{
     EnPowerled=1;
     if(powerLed==1)
     {	
	cyc[0]=ctrl;//ctrl 0.1 sec
	powerLed=0;
     }
     else
     {}
	
	
}

void Fsh_Wireless(int ctrl)
{
     if(wlessLed==1)
     {	
	cyc[2]=ctrl;//ctrl 0.1 sec
	wlessLed =0;
     }
     else
     {}
}

		
//wuming for led
void Fsh_Ether(int ctrl)
{
     if(etherLed==1)
     {	
	cyc[3]=ctrl;//ctrl 0.1 sec
	etherLed =0;
     }
     else
     {}
}
