#if !defined(_HAL_MIB_H_)
#define _HAL_MIB_H_
/*
 *                Copyright 2003, Marvell Semiconductor, Inc.
 * This code contains confidential information of Marvell Semiconductor, Inc.
 * No rights are granted herein under any patent, mask work right or copyright
 * of Marvell or any third party.
 * Marvell reserves the right at its sole discretion to request that this code
 * be immediately returned to Marvell. This code is provided "as is".
 * Marvell makes no warranties, express, implied or otherwise, regarding its
 * accuracy, completeness or performance.
 */

/*!
 * \file  hal_mib.h
 * \brief Routines to initialize MIB objects by reading the values
 *        from hardware registers
 *
 *  Must include "wl_mib.h" before this file
 */

extern BOOLEAN hal_InitApMIB(MIB_802DOT11 * mib);
extern BOOLEAN hal_InitStaMIB(MIB_802DOT11 * mib);

#endif /* _HAL_MIB_H_ */
