/*******************************************************************
*
*    DESCRIPTION: login routines
*
*    AUTHOR: jliu@marvell.com
*
*    HISTORY:
*
*    05mar03,jliu,created
*
*******************************************************************/

/** include files **/
#include "wltypes.h"
#include "apcfg.h"

/** local definitions **/

/** default settings **/

/** external functions **/
int UserConfigModified(void);

/** external data **/

/** internal functions **/

/** public data **/

/** private data **/
LOGIN Mlogin;
/** private functions **/

/** public functions **/

int
apctlCheckPassword(unsigned char *username, unsigned char *password)
{
    if ( !strcmp(Mlogin.username, username)
            && !strcmp(Mlogin.password, password) )
    {
        return TRUE;
    }

    return FALSE;
}

int
apctlSetPassword(unsigned char *username, unsigned char *password)
{
    if ( (strlen(username) < 32) && (strlen(password) < 32) )
    {
        strcpy(Mlogin.username, username);
        strcpy(Mlogin.password, password);
        UserConfigModified();
        return TRUE;
    }
    return FALSE;
}
