/*===================================================================
		DEFINITIONS OF HTML CODE
====================================================================*/
#define CreateHeader(szTitle)  \
{ \
	websWrite(wp, T("<html><head><title>%s</title></head>\r\n"), szTitle);  \
	websWrite(wp, T("<body bgcolor=\"#E8E8E8\" text=\"#000000\" link\"#808000\" vlink=\"#808000\" alink=\"#008080\"> <font face=\"Times New Roman\">\r\n"));\
	websWrite(wp, T("<table border=\"0\" cellspacing=\"0\" width=\"640\">\r\n<tr><td width=\"523\"><i><b><font size=\"6\" color=\"#800000\">"));  \
	websWrite(wp, T("%s"), szTitle);	  \
	websWrite(wp, T("</font></b></i></td>\r\n<td width=\"117\"><img border=\"0\" src=\"Image/logo.gif\" width=\"102\"  height=\"57\"></td>\r\n"));  \
	websWrite(wp, T("</tr></table>\r\n")); \
	websWrite(wp, T("<table border=\"1\" width=\"640\" bgcolor=\"#000000\" bordercolor=\"#C0C0C0\" cellspacing=\"0\">\r\n"));  \
	websWrite(wp, T("<tr>\r\n<td width=\"208\" align=\"center\"><a href=\"association_tbl.htm\"><b><font color=\"#C0C0C0\">Association Table</font></b></a></td>\r\n")); \
	websWrite(wp, T("<td width=\"210\" align=\"center\"><a href=\"radio.htm\"><b><font color=\"#C0C0C0\">Radio Setting</font></b></a></td>\r\n"));  \
	websWrite(wp, T("<td width=\"161\" align=\"center\"><a href=\"wep.htm\"><b><font color=\"#C0C0C0\">WEP</font></b></a></td>\r\n"));  \
	websWrite(wp, T("<td width=\"178\" align=\"center\"><a href=\"IpConfig.htm\"><b><font color=\"#C0C0C0\">Ip Config</font></b></td>\r\n"));  \
	websWrite(wp, T("<td width=\"178\" align=\"center\"><a href=\"filter_list.htm\"><b><font color=\"#C0C0C0\">Filter List</font></b></td>\r\n"));  \
	websWrite(wp, T("<td width=\"178\" align=\"center\"><a href=\"fw_upgrade.htm\"><b><font color=\"#C0C0C0\">Firmware Upgrade</font></b></td>\r\n"));  \
	websWrite(wp, T("</tr></table>\r\n"));  \
}

/*	websWrite(wp, T("<td width=\"210\" align=\"center\"><a href=\"event_log.htm\"><b><font color=\"#C0C0C0\">Event Log</font></b></a></td>\r\n")); */
/*	websWrite(wp, T("<td width=\"161\" align=\"center\"><a href=\"advanced.htm\"><b><font color=\"#C0C0C0\">Advanced</font></b></a></td>\r\n")); */
/* 	websWrite(wp, T("<td width=\"178\" align=\"center\"><a href=\"statistics.htm\"><b><font color=\"#C0C0C0\">Statistics</font></b></a></td>\r\n")); */
/*	websWrite(wp, T("<td width=\"178\" align=\"center\"><a href=\"filter_list.htm\"><b><font color=\"#C0C0C0\">Filter List</font></b></td>\r\n")); */

/*===================================================================
		DEFINITIONS 
====================================================================*/
#include "ap_api.h"
#include "webs.h"

#define STATUS_OK					200
#define STATUS_SUCCESS				SUCCESS
#define STATUS_FAIL					FAIL
#define STATUS_BUFFER_TOO_SMALL     0xff
#define DATA_ERROR					0xFFFF	
#define BEACON_RANGE_ERROR			1
#define DTIM_RANGE_ERROR			2
#define RTS_RANGE_ERROR				3
#define FRAG_RANGE_ERROR			4
#define SSID_SIZE_ERROR				5 
#define BURST_RATE_RANGE_ERROR		7
#define AP_NEEDS_REBOOT				8

#define FRAG_THRESHOLD_MIN			256
#define FRAG_THRESHOLD_MAX			2346
#define RTS_THRESHOLD_MIN			256
#define RTS_THRESHOLD_MAX			2432
#define BEACON_THRESHOLD_MIN		20
#define BEACON_THRESHOLD_MAX		1000
#define DTIM_THRESHOLD_MIN			1
#define DTIM_THRESHOLD_MAX			255

#define RTS_RETRY_LIMIT_MIN			0
#define RTS_RETRY_LIMIT_MAX			128
#define DATA_RETRY_LIMIT_MIN		0
#define DATA_RETRY_LIMIT_MAX		128

#if defined(AP31E) || defined(AP31HOST) || defined(AP31CLIENT)
#define BUF_HDR_LEN				sizeof(unsigned short)*4 + 4
#else
#define BUF_HDR_LEN				sizeof(unsigned short)*4
#endif
#define APCMD_STALIST_BUFSIZE		0x8001
#define APCMD_GET_FILTER_BUFSIZE	0x8002
#define MIN_STA_LIST_BUF_SIZE		10
#define MIN_FILTER_LIST_BUF_SIZE	8
#define MAX_STA_IN_FILTER_LIST		32
#define DATA_SIZE_FROM_USER			200
#define DATA_SIZE_TO_WLADRV			100

#ifdef WDS_FEATURE
#define MAX_WDS_AP_LIST          6 
#endif 
/*===================================================================
		FUNCTION DECLARATIONS 
====================================================================*/
typedef struct _WEP_KEY {
	unsigned short TxKeyIndex;
	unsigned short keyType0;
	unsigned char keyValue0[16];
	unsigned short keyType1;
	unsigned char keyValue1[16];
	unsigned short keyType2;
	unsigned char keyValue2[16];
	unsigned short keyType3;
	unsigned char keyValue3[16];
} WEP_KEY;

typedef struct _BURST_INFO {
	unsigned char BurstMode;
	unsigned long BurstRate;	
}BURST_INFO;

typedef unsigned short USHORT;
typedef unsigned char  UCHAR;
typedef unsigned long  ULONG;

int websMrvHandler(webs_t wp, char_t *urlPrefix, char_t *webDir, int arg, 
		char_t *url, char_t *path, char_t* query);

int websRfTestHandler(webs_t wp, char_t *urlPrefix, char_t *webDir, int arg, 
		char_t *url, char_t *path, char_t* query);

char **getCGIvars(webs_t wp, char *buf);
char *gogetenv(char *varname);

void getMacFromString(unsigned char *macAddr, const char *pStr);
int SetRadio(webs_t wp, char_t* query);
int SetWep(webs_t wp, char_t* query);
int webSetFilterTable(webs_t wp, char_t* query);
int webSetIpConfig(webs_t wp, char_t* query);
int SetBridge(webs_t wp, char_t* query);
#ifdef WDS_FEATURE
int webSetWds(webs_t wp, char_t* query);
#endif 

/*extern int RfTest(webs_t wp); */

WL_STATUS ApCmdGetProc(UINT16 CmdCode, char *pResult);
WL_STATUS ApCmdSetProc(UINT16 CmdCode, char *pData);
void GetSdkVersion(char *buf);
bool WepEnabled;
bool WpaEnabled;

