#ifndef __OEM_H__
#define __OEM_H__ 
/*
 *                Copyright 2003, Marvell Semiconductor, Inc.
 * This code contains confidential information of Marvell Semiconductor, Inc.
 * No rights are granted herein under any patent, mask work right or copyright
 * of Marvell or any third party.
 * Marvell reserves the right at its sole discretion to request that this code
 * be immediately returned to Marvell. This code is provided "as is".
 * Marvell makes no warranties, express, implied or otherwise, regarding its
 * accuracy, completeness or performance.
 */ 
/*!
 * \file    oem.h
 * \brief   Common Configuration Files
 */

#ifdef NEW_VLAN_CONFIG
 #define WAN_PORT 4
#else
 #define WAN_PORT 0
#endif

#define CONDOR

#define OEMSSID "MARVELL22" /* default SSID */
#define OEMCHANNEL 1/** default channel **/
#define MAX_STNS  64 /** Maximum allow associated station **/
#define TESTCMD 1
#define SOHO_GATEWAY
#define VLAN_MODE

#define BUFFER_WITH_RESERVED_SPACE 1

#if defined(BUFFER_WITH_RESERVED_SPACE)
#define RESERVED_SPACE_LEN 128
#endif

#define OPTION
#define ECOS_PROT_STACK 1
//#define TASKDHCP 1
#define FLASH_CONFIG 1
#endif //END OEM_H
