#if !defined(_PMU_H_)
#define _PMU_H_ 
/*
 *                Copyright 2003, Marvell Semiconductor, Inc.
 * This code contains confidential information of Marvell Semiconductor, Inc.
 * No rights are granted herein under any patent, mask work right or copyright
 * of Marvell or any third party.
 * Marvell reserves the right at its sole discretion to request that this code
 * be immediately returned to Marvell. This code is provided "as is".
 * Marvell makes no warranties, express, implied or otherwise, regarding its
 * accuracy, completeness or performance.
 */

/*!
 * \file  pmu.h
 * \brief Definitions for Power Management Unit HAL
 */


/*--------------------------------------------------------------*/
/*    Power Management Unit Registers                              */
/*--------------------------------------------------------------*/

#define WL_POWER_CTRL                  ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_WATCHDOG_INTVL        ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_WATCHDOG_CLR          ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_WAKEUP                ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_PLL_TIMER             ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_INTR                  ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_INTR_MASK             ((WL_LBU_PMU_CFG_BASE) | 0x000)
#define WL_POWER_RESET                 ((WL_LBU_PMU_CFG_BASE) | 0x000)

#endif /* _PMU_H_ */

